Skip to main content

Get all recurring resident charges

GEThttps://api.propexo.com/v1/recurring-resident-charges/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

lease_id string

The Propexo unique identifier for the lease

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the recurring resident charge

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 57368834445
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 2323748923
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    x_charge_code_idnullrequired

    The external ID of the charge code from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    x_financial_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 53828917566
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 423174893
    amount_in_centsnumber | nullnullablerequired

    The total amount of the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 5433
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 54.33
    is_activenullrequired

    Whether the recurring resident charge is active

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    descriptionstring | nullnullablerequired

    Description of the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: Garbage disposal
    reference_numberstring | nullnullablerequired

    The reference number for the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 6599
    start_datestring | nullnullablerequired

    The start date associated with the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 2024-06-01T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: 2025-06-27T00:00:00.000Z
    frequency_rawstring | nullnullablerequired

    The raw value of the frequency of the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: MONTHLY
    frequency_normalizedstring | nullnullablerequired

    The frequency of the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Show 4 enum values
    OTHERWEEKLYMONTHLYDAILY
    Example: MONTHLY
    charge_due_dayinteger | nullnullablerequired

    The due date associated with the recurring resident charge

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases

    Possible values: >= 0

    Example: 5
    custom_data object | nullrequired
    object
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: cm1ffswmt000008jq3zwsaco0
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    MethodInterface
    /v1/leases/{leaseId}/autochargesLeases
    Example: cm1ffukae000008mneg3n1m03
    charge_code_idnullrequired

    The Propexo unique identifier for the charge code

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum18required

    The property management system of record

    Show 13 enum values
    PROPERTYWARE_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: PROPERTYWARE_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/recurring-resident-charges/
curl https://api.propexo.com/v1/recurring-resident-charges/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "57368834445",
"x_property_id": "2323748923",
"x_location_id": null,
"x_charge_code_id": null,
"x_financial_account_id": "53828917566",
"x_lease_id": "423174893",
"amount_in_cents": 5433,
"amount_raw": "54.33",
"is_active": null,
"description": "Garbage disposal",
"reference_number": "6599",
"start_date": "2024-06-01T00:00:00.000Z",
"end_date": "2025-06-27T00:00:00.000Z",
"frequency_raw": "MONTHLY",
"frequency_normalized": "MONTHLY",
"charge_due_day": 5,
"custom_data": "Unknown Type: object,null",
"financial_account_id": "cm1ffswmt000008jq3zwsaco0",
"lease_id": "cm1ffukae000008mneg3n1m03",
"charge_code_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}